## w3m 0.3

=== scripts/Makefile ===

prefix		= /usr/local
DESTDIR		=
BIN_DIR		= $(prefix)/bin
LIB_DIR		= $(prefix)/lib/w3m
HELP_DIR	= $(prefix)/lib/w3m
RC_DIR		= ~/.w3m

LIB_TARGETS	= dirlist.cgi w3mhelp.cgi w3mmail.cgi
HELP_LIBS	= w3mhelp-funcname.pl w3mhelp-funcdesc.pl

MKDIR		= mkdir -p
INSTALL		= install -c
INSTALL_SCRIPT	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644

PERL		= /usr/local/bin/perl

DOCDIRS = doc:en_English doc-jp:ja_Japanese

.SUFFIXES: .in

all: $(LIB_TARGETS) $(HELP_LIBS)

.in:
	@echo "generating $@..."
	@sed -e 's%@PERL@%$(PERL)%' -e 's%@HELP_DIR@%$(HELP_DIR)%' \
	  -e 's%@DOCDIRS@%$(DOCDIRS)%' \
	  -e 's%@RC_DIR@%$(RC_DIR)%' $< > $@
	@chmod +x $@
	@echo done

w3mhelp-funcname.pl: w3mhelp-funcname.pl.in ../funcname.tab ../doc/keymap.default ../doc/keymap.lynx
	@echo "generating w3mhelp-funcname.pl..."
	@echo '%funcname = (' > w3mhelp-funcname.pl
	@sed -ne "/^[a-zA-Z@]/s/\([a-zA-Z@][a-zA-Z0-9@_]*\)[ 	][ 	]*\([^ 	]*\)/'\1', '\2',/p" < ../funcname.tab >> w3mhelp-funcname.pl
	@echo ');' >> w3mhelp-funcname.pl
	@echo '%keyfunc = (' >> w3mhelp-funcname.pl
	@case "$(KEYBIND_SRC)" in *lynx*) keymap=keymap.lynx;; *) keymap=keymap.default;; esac; \
	sed -ne "/^keymap/s/^keymap[ 	][ 	]*\([^ 	]*\)[ 	][ 	]*\([a-zA-Z@][a-zA-Z0-9@_]*\)/'\1', '\2', /p" < ../doc/$$keymap >> w3mhelp-funcname.pl
	@echo ');' >> w3mhelp-funcname.pl
	@cat w3mhelp-funcname.pl.in >> w3mhelp-funcname.pl
	@echo "done"

w3mhelp-funcdesc.pl: w3mhelp-funcdesc-stamp
w3mhelp-funcdesc-stamp:
	@echo "generating w3mhelp-funcdesc*.pl..."
	@for dirlang in $(DOCDIRS); do \
	  dir=`expr "$$dirlang" : "\(.*\):.*"`; \
	  lang=`expr "$$dirlang" : ".*:\(.*\)_.*"`; \
	  echo '%funcdesc = (' > w3mhelp-funcdesc.$$lang.pl; \
	  sed -ne "/^[a-zA-Z@]/s/\([a-zA-Z@][a-zA-Z0-9@_]*\)[ 	][ 	]*\(.*\)/'\1', '\2',/p" < ../$$dir/README.func >> w3mhelp-funcdesc.$$lang.pl; \
	  echo ');' >> w3mhelp-funcdesc.$$lang.pl; \
	  cat w3mhelp-funcdesc.$$lang.pl.in >> w3mhelp-funcdesc.$$lang.pl; \
	done
	@echo done
	touch w3mhelp-funcdesc-stamp

install: $(LIB_TARGETS) $(HELP_LIBS)
	-$(MKDIR) $(DESTDIR)$(LIB_DIR)
	-$(MKDIR) $(DESTDIR)$(HELP_DIR)
	for file in $(LIB_TARGETS);     \
	do      \
		$(INSTALL_SCRIPT) $$file $(DESTDIR)$(LIB_DIR);  \
	done
	for file in w3mhelp-*.pl; \
	do \
		$(INSTALL_DATA) $$file $(DESTDIR)$(HELP_DIR); \
	done

uninstall:
	-for file in $(LIB_TARGETS); \
	do      \
		rm -f $(LIB_DIR)/$$file; \
	done
	-for file in w3mhelp-*.pl; \
	do \
		rm -f $(HELP_DIR)/$$file; \
	done

clean:
	-rm -f $(LIB_TARGETS) w3mhelp-*.pl *-stamp

## w3m 0.5.2

=== debian/changelog ===
w3m (0.5.2-9) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2010-08-04.
    - Check width, rows and cols to prevent a large memory allocation.
      (Closes: #491400, #492290)
  * debian/patches/040_maximum-cols.patch: Patch from upstream to define
    MAXIMUM_COLS to check COLS. (Closes: #387751)
  * debian/patches/030_pager-s-option.patch: Change the -s option from
    "display charset Shift_JIS" to "squeeze multiple blank lines" to work
    as /usr/bin/pager. (rejected upstream)
  * debian/README.Debian: Mention the -s option difference.
  * debian/rules: Set INSTALL_W3MIMGDISPLAY to not use install -s.
    (Closes: #438260)
  * debian/rules, debian/w3m-img.files, debian/w3m-img.postinst,
    debian/w3m-img.prerm: Don't use dpkg-statoverride. (Closes: #562824)
  * debian/rules, debian/w3m-img.lintian-overrides: Install lintian override
    to ignore the setgid-binary warning.
  * debian/postrm: Removed.
  * debian/dirs, debian/rules: Install the Bonus directory.
  * debian/docs: Add doc/README.passwd.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Aug 2010 22:50:25 +0900

w3m (0.5.2-8) unstable; urgency=low

  * debian/patches/010_upstream.patch: Upstream development snapshot on
    2010-07-26. (Debian patches except config.* are merged)
  * debian/patches/020_config-guess.patch: Update config.guess and
    config.sub using autotools-dev 20100122.1.
  * debian/docs, debian/rules, debian/w3m-img.docs: Install some README
    files, such as README.img. (Closes: #252738, #306201)
  * debian/control:
    - Fix description wording. (Closes: #260414)
    - Update Standards-Version to 3.9.1.
  * debian/README.Debian, debian/README.Debian.w3m-img, debian/config.param,
    debian/w3m.1, debian/w3mman.1: Removed.
  * debian/copyright: Add the license of EastAsianWidth.txt.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 29 Jul 2010 01:51:25 +0900

w3m (0.5.2-7) unstable; urgency=low

  * debian/patches/100_download-error-short-write.patch: Patch to tell a
    download failure when full disk, provided by Karsten Schoelzel.
    (Closes: #185006, #206605)
  * debian/patches/110_no-graph-restriction.patch: Patch to restrict table
    and menu borders to ASCII if you use -no-graph, provided by Karsten
    Schoelzel. (Closes: #261174, #394265)
  * debian/patches/120_config-file-handling.patch: Patch to fix segfault
    when changing options if ~/.w3m not accessible, provided by Karsten
    Schoelzel. (Closes: #366284)
  * debian/patches/130_rc-blank-line-fix.patch: Patch to fix .w3m/config
    parser confused by blank lines, provided by Trent W. Buck.
    (Closes: #537706)
  * debian/patches/140_pseudo-inlines.patch: Patch to add a new option
    "pseudo_inlines", provided by Karsten Schoelzel.
    (Closes: #329863)
  * debian/patches/150_numbered-links.patch: Patch to add a new option
    "display_link_number", provided by Karsten Schoelzel.
    (Closes: #329862)
  * debian/patches/160_tls-sni.patch: Patch to add support for TLS SNI,
    provided by Sascha Silbe. (Closes: #523159)
  * debian/patches/170_number-prefix.patch: Patch to make number prefixes
    working when vi_prec_num=0, from upstream.
  * debian/patches/180_non-xterm.patch: Patch to fix segfault on non-xterm,
    from upstream.
  * debian/patches/190_codepage.patch: Patch for handling of codepage with
    wc_codepage, from upstream.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 18 Jul 2010 08:17:08 +0900

w3m (0.5.2-6) unstable; urgency=low

  * debian/patches/070_form-update.patch: Patch to fix a problem of
    formUpdateBuffer(), from [w3m-dev 04286] on 2007-08-04, provided by
    Hironori SAKAMOTO. (Closes: #409933)
  * debian/patches/080_xhtml-support.patch: Patch to support for
    application/xhtml+xml and default UTF-8 encoding, provided by
    Karsten Schoelzel. (Closes: #223589, #242599, #357817)
  * debian/patches/090_simple-preserve-space.patch: Patch to add a new
    option "simple_preserve_space", provided by dai.
    (Closes: #384982, #426055)
  * debian/patches/*: Renumbered.
  * debian/patches/70_ssl-init.patch: Removed.
  * debian/w3mconfig: Set ssl_forbid_method to 2 to disable SSLv2.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 07 Jul 2010 00:10:09 +0900

w3m (0.5.2-5) unstable; urgency=high

  * debian/patches/60_check-null-cn.patch: Patch to check for null bytes
    in CN/subjAltName, provided by Ludwig Nussel. (Closes: #587445)
    [CVE-2010-2074]
  * debian/patches/70_ssl-init.patch: Patch to force ssl_verify_server on
    and disable SSLv2 support, provided by Ludwig Nussel.
  * debian/patches/*: Renumbered.
  * debian/control: Update Standards-Version to 3.9.0.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 03 Jul 2010 19:08:07 +0900

w3m (0.5.2-4) unstable; urgency=low

  * debian/control: Move migemo from Recommends to Suggests.
    (Closes: #570906)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Feb 2010 22:40:53 +0900

w3m (0.5.2-3) unstable; urgency=low

  * debian/patches/10-w3mman-keep-formatting: Patch from 0.5.2-2.1ubuntu1.
    Use MAN_KEEP_FORMATTING=1 to fix that w3mman eats underlined characters.
    (Closes: #325699)
  * debian/patches/05-config-debian-fix: Update config.guess and config.sub
    using autotools-dev 20090611.1.
  * debian/watch: Update with sf redirector. (Closes: #550615)
  * debian/control:
    - Remove Fumitoshi Ukai from Maintainer. (Closes: #541020)
    - Move Tatsuya Kinoshita to Maintainer from Uploaders.
    - Add ${misc:Depends} to Depends.
    - Move migemo from Suggests to Recommends.
    - Use dh_prep instead of `dh_clean -k'.
    - Set Section to web.
    - Update Standards-Version to 3.8.4.
  * debian/prerm: Add -e to not ignore an error.
  * debian/copyright: Updated.
  * Update debhelper version to 7.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 21 Feb 2010 15:23:06 +0900

w3m (0.5.2-2.1) unstable; urgency=low



=== debian/control ===
Source: w3m
Section: web
Priority: standard
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev
Homepage: http://sourceforge.net/projects/w3m
Standards-Version: 3.9.1

Package: w3m
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Provides: www-browser
Suggests: w3m-img, mime-support, menu (>> 1.5), w3m-el, man-db, migemo
Conflicts: w3m-ssl
Replaces: w3m-ssl, w3mmee
Description: WWW browsable pager with excellent tables/frames support
 w3m is a text-based World Wide Web browser with IPv6 support. 
 It features excellent support for tables and frames. It can be used 
 as a standalone file pager, too.
 .
  * You can follow links and/or view images in HTML.
  * Internet message preview mode, you can browse HTML mail.
  * You can follow links in plain text if it includes URL forms.
  * With w3m-img, you can view inline images.

Package: w3m-img
Architecture: any
Priority: optional
Depends: w3m (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: inline image extension support utilities for w3m
 w3m-img provides some utilities to support inline images for w3m
 on terminal emulator in X Window System environments and Linux
 framebuffer.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ifeq ($(DEB_BUILD_GNU_SYSTEM),linux-gnu)
  DEVS=x11,fb+s
else
  DEVS=x11
endif

confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
	--mandir=/usr/share/man \
	--with-gc --with-ssl \
	--with-migemo="migemo -t egrep /usr/share/migemo/migemo-dict" \
	--with-editor=/usr/bin/sensible-editor \
	--enable-gopher \
	--enable-image=$(DEVS) \
	--enable-m17n --enable-unicode --enable-nls

builddir := .

build: build-stamp
build-stamp:
	dh_testdir
	cd $(builddir) && ./configure $(confargs)
	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	if test -f $(builddir)/Makefile; then cd $(builddir) && $(MAKE) distclean; fi
	rm -f $(builddir)/po/*.gmo
	rm -f $(builddir)/po/stamp-po
	rm -f extract-stamp patch-stamp configure-stamp build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd $(builddir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/w3m INSTALL_W3MIMGDISPLAY="install -g video -m 2755"
	install -m 644 debian/w3mconfig $(CURDIR)/debian/w3m/etc/w3m/config
	install -m 644 debian/mailcap $(CURDIR)/debian/w3m/etc/w3m/mailcap
	mv -f debian/w3m/usr/lib/w3m/w3mimgdisplay debian/w3m-img/usr/lib/w3m/w3mimgdisplay
	touch install-stamp

binary-indep: build-stamp install-stamp
# We have nothing to do by default.

binary-arch: build-stamp install-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	cp -a $(builddir)/doc-jp/* debian/w3m/usr/share/doc/w3m/ja/
	-mv -f debian/w3m/usr/share/doc/w3m/ja/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img.ja
	-rm -f debian/w3m/usr/share/doc/w3m/ja/w3m.1
	-rm -f debian/w3m/usr/share/doc/w3m/ja/README.cygwin
	-rm -rf debian/w3m/usr/share/doc/w3m/ja/CVS
	dh_installexamples -a
	cp -a $(builddir)/Bonus/* debian/w3m/usr/share/doc/w3m/examples/Bonus/
	-rm -rf debian/w3m/usr/share/doc/w3m/examples/Bonus/CVS
	cd debian/w3m/usr/share/doc/w3m/examples/Bonus && find . -type f -print | \
	while read f; do \
		mv -f $$f $$f.tmp; \
		LC_ALL=C sed -e 's:/usr/local/bin/:/usr/bin/:' \
			-e 's:/bin/env:/usr/bin/env:' \
			$$f.tmp > $$f; \
		rm -f $$f.tmp; \
	done
	cd debian/w3m/usr/share/doc/w3m && \
		mv ja/keymap.* ja/examples; mv ja/menu.* ja/examples
	dh_installmenu
	dh_installmime
#	dh_installman
	dh_installchangelogs -a $(builddir)/ChangeLog
	dh_strip -a
	dh_compress -a
	dh_lintian -a
	dh_fixperms -a -Xw3mimgdisplay
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## w3m 0.5.3

=== debian/changelog ===
w3m (0.5.3-8) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with upstream on 2012-05-22
    - Support <meta charset>
  * debian/patches/050_entity-h-clean.patch: Removed (meged upstream)
  * debian/patches/110_form-input-text.patch:
    - Assume "text" if an input type is unknown (closes: #615843)
  * debian/patches/100_use-cppflags.patch: Use $(CPPFLAGS) with $(CPP)
  * debian/rules:
    - Fix CPPFLAGS hardening flags missing (closes: #665491)
    - Accept linux-gnueabi for w3m-img (closes: #673123)
  * debian/mime: Use charset for mailcap (closes: #282784)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 22 May 2012 23:16:58 +0900

w3m (0.5.3-7) unstable; urgency=low

  * Add the configure option --with-imagelib=imlib2 (closes: #672121)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 10 May 2012 00:25:50 +0900

w3m (0.5.3-6) unstable; urgency=low

  [ Tatsuya Kinoshita ]
  * debian/patches/070_glibc2.14.patch:
    Patch from Ubuntu to unbreak compilation with eglibc 2.14 (LP: #935540)
  * debian/patches/080_gc72.patch:
    Patch from Gentoo to support Boehm GC 7.2
  * debian/patches/090_parallel-make.patch:
    Patch from Gentoo to fix parallel make issue
  * Update copyright-format version to 1.0
  * Update Standards-Version to 3.9.3

  [ HIGUCHI Daisuke (VDR dai) ]
  * debian/control: update my email address
  * debian/changelog: fix typo

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 05 May 2012 00:00:15 +0900

w3m (0.5.3-5) unstable; urgency=low

  * debian/control
    - Mark w3m Multi-Arch: foreign.
      Patch from 0.5.3-4ubuntu1, provided by Steve Langasek.
    - update Vcs-* fields to use anonscm.debian.org.
    - update Uploaders name-addr.
  * debian/rules: enable hardening options
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/patches/050_entity-h-clean.patch
    do not remove entity.h.  because generated file is a little different
    than original,  so it is unable to unapply.

 -- HIGUCHI Daisuke (VDR dai) <debian@vdr.jp>  Tue, 29 Nov 2011 00:36:36 +0900

w3m (0.5.3-4) unstable; urgency=low

  * debian/patches/060_format-security.patch: Patch from 0.5.3-3ubuntu1 to
    appease gcc -Werror=format-security, provided by Colin Watson.
    (closes: #646321)
  * debian/control: Use linux-any to depend on a Linux-specific package.
    (closes: #634340)
  * debian/copyright: Appease missing-license-paragraph-in-dep5-copyright.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 30 Oct 2011 15:23:40 +0900

w3m (0.5.3-3) unstable; urgency=low
  
  * debian/control:
    - Add Vcs-* fields. (closes: #625532)
    - Update Standards-Version to 3.9.2.
  * debian/rules: Add the targets build-arch and build-indep.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Jul 2011 17:19:33 +0900

w3m (0.5.3-2) unstable; urgency=low

  * debian/control: Add Uploaders and DM-Upload-Allowed for the co-maintainer
    HIGUCHI Daisuke.
  * debian/rules, debian/*docs: To add doc/README.cookie, install doc/README*
    and then remove doc/README.cygwin.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 21 Feb 2011 23:32:21 +0900

w3m (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2011-01-17, just a typo fix for ChangeLog.
  * debian/patches/040_link_gcc45.patch: Patch from 0.5.2-10ubuntu1 to
    explicitly link w3mimgdisplay with -lX11 to build with gcc 4.5,
    provided by Martin Pitt. (closes: #605761)
  * debian/patches/050_entity-h-clean.patch: Patch to remove entity.h when
    `make clean'.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Feb 2011 16:11:06 +0900

w3m (0.5.2-10) unstable; urgency=low

  * debian/patches/010_upstream.patch: Sync with the upstream development
    snapshot on 2010-10-11.
    - Better non-ascii handling. (closes: #138891, #313365)
    - Introduce mailto_options. (closes: #473780)
    - All elements have the id attribute. (closes: #573789)
    - Define ATTR_ROWSPAN_MAX to check rowspan. (LP: #131993, LP: #619500)
    - Update the man page. (closes: #595534)
    - Add a FILES section to the man page. (closes: #403634)
    - Mention the -I option in the man page. (closes: #398260, #530515)
  * debian/patches/020_button.patch: Patch from upstream to support the
    button element.  It is discussed upstream and incomplete, but enough to
    login Launchpad. (LP: #628755, closes: #136810)
  * debian/patches/040_maximum-cols.patch: Removed. (merged upstream)
  * debian/control, debian/rules: Use autotools-dev (>= 20100122) to update
    config.guess and config.sub.
  * debian/patches/020_config-guess.patch: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 16 Oct 2010 00:59:32 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: web
 Priority: standard
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev
+Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: libgc-dev, libncurses5-dev, libgpmg1-dev [linux-any], zlib1g-dev, libssl-dev, debhelper (>= 7), gawk | awk, libimlib2-dev, autotools-dev (>= 20100122)
 Homepage: http://sourceforge.net/projects/w3m
-Standards-Version: 3.9.1
+Vcs-Git: git://anonscm.debian.org/collab-maint/w3m.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/w3m.git
+Standards-Version: 3.9.3
 
 Package: w3m
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Provides: www-browser

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,13 @@
 
 #export DH_VERBOSE=1
 
-ifeq ($(DEB_BUILD_GNU_SYSTEM),linux-gnu)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
+CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
+CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
+LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
+
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
   DEVS=x11,fb+s
 else
   DEVS=x11
@@ -11,6 +17,7 @@
 confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	--mandir=/usr/share/man \
 	--with-gc --with-ssl \
+	--with-imagelib=imlib2 \
 	--with-migemo="migemo -t egrep /usr/share/migemo/migemo-dict" \
 	--with-editor=/usr/bin/sensible-editor \
 	--enable-gopher \
@@ -19,10 +26,13 @@
 
 builddir := .
 
-build: build-stamp
+build-indep:
+
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
-	cd $(builddir) && ./configure $(confargs)
+	cd $(builddir) && dh_autotools-dev_updateconfig
+	cd $(builddir) && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confargs)
 	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
 	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
 	touch build-stamp
@@ -31,6 +41,7 @@
 	dh_testdir
 	dh_testroot
 	if test -f $(builddir)/Makefile; then cd $(builddir) && $(MAKE) distclean; fi
+	cd $(builddir) && dh_autotools-dev_restoreconfig
 	rm -f $(builddir)/po/*.gmo
 	rm -f $(builddir)/po/stamp-po
 	rm -f extract-stamp patch-stamp configure-stamp build-stamp install-stamp
@@ -49,13 +60,14 @@
 	mv -f debian/w3m/usr/lib/w3m/w3mimgdisplay debian/w3m-img/usr/lib/w3m/w3mimgdisplay
 	touch install-stamp
 
-binary-indep: build-stamp install-stamp
-# We have nothing to do by default.
+binary-indep:
 
-binary-arch: build-stamp install-stamp
+binary-arch: install
 	dh_testdir -a
 	dh_testroot -a
 	dh_installdocs -a
+	-rm -f debian/w3m/usr/share/doc/w3m/README.cygwin
+	-mv -f debian/w3m/usr/share/doc/w3m/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img
 	cp -a $(builddir)/doc-jp/* debian/w3m/usr/share/doc/w3m/ja/
 	-mv -f debian/w3m/usr/share/doc/w3m/ja/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img.ja
 	-rm -f debian/w3m/usr/share/doc/w3m/ja/w3m.1
@@ -92,5 +104,6 @@
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
+build: build-indep build-arch
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build-indep build-arch build install clean binary-indep binary-arch binary

## w3m 0.5.3%2Bgit20210102

=== debian/control ===
Source: w3m
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tatsuya Kinoshita <tats@debian.org>
Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Build-Depends: debhelper-compat (= 13),
               gawk | awk,
               libgc-dev,
               libgpm-dev [linux-any],
               libimlib2-dev,
               libncurses5-dev,
               libssl-dev,
               pkg-config,
               zlib1g-dev
Homepage: https://tracker.debian.org/pkg/w3m
Vcs-Browser: https://salsa.debian.org/debian/w3m
Vcs-Git: https://salsa.debian.org/debian/w3m.git
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets

Package: w3m
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates, bzip2
Provides: www-browser
Suggests: cmigemo,
          dict,
          dict-wn,
          dictd,
          firefox | www-browser,
          libsixel-bin,
          man-db,
          mime-support,
          sensible-utils,
          w3m-el,
          w3m-img,
          wget | curl,
          xdg-utils,
          xsel
Conflicts: w3m-ssl
Replaces: w3m-ssl, w3mmee
Description: WWW browsable pager with excellent tables/frames support
 w3m is a text-based World Wide Web browser with IPv6 support.
 It features excellent support for tables and frames. It can be used
 as a standalone file pager, too.
 .
  * You can follow links and/or view images in HTML.
  * Internet message preview mode, you can browse HTML mail.
  * You can follow links in plain text if it includes URL forms.
  * With w3m-img, you can view inline images.
 .
 This package provides Debian's w3m, forked from the original version
 <https://sourceforge.net/projects/w3m/>.

Package: w3m-img
Architecture: any
Depends: w3m (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: inline image extension support utilities for w3m
 w3m-img provides some utilities to support inline images for w3m
 on terminal emulator in X Window System environments and Linux
 framebuffer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS) $(shell getconf LFS_CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

ifneq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
  DEVS=no
  bootstrap_dh_flags=-Nw3m-img
else ifeq ($(DEB_BUILD_ARCH_OS),linux)
  DEVS=x11,fb+s
else
  DEVS=x11
endif

confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
	--mandir=/usr/share/man \
	--with-gc --with-ssl \
	--with-imagelib=imlib2 \
	--with-migemo="cmigemo -q -d /usr/share/cmigemo/utf-8/migemo-dict" \
	--with-editor=/usr/bin/sensible-editor \
	--with-browser=/usr/bin/sensible-browser \
	--enable-gopher \
	--enable-image=$(DEVS) \
	--enable-m17n --enable-unicode --enable-nls

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
confargs += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

builddir := .

build-indep:

build-arch: build-stamp
build-stamp:
	dh_testdir
	cd $(builddir) && dh_update_autotools_config
	cd $(builddir) && LC_ALL=C CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confargs)
	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	if test -f $(builddir)/Makefile; then cd $(builddir) && $(MAKE) distclean; fi
	rm -f $(builddir)/po/*.gmo
	rm -f $(builddir)/po/stamp-po
	rm -f extract-stamp patch-stamp configure-stamp build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs $(bootstrap_dh_flags)

	cd $(builddir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/w3m INSTALL_W3MIMGDISPLAY="install -g video -m 2755"
	install -m 644 debian/w3mconfig $(CURDIR)/debian/w3m/etc/w3m/config
	install -m 644 debian/mailcap $(CURDIR)/debian/w3m/etc/w3m/mailcap
ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
	mv -f debian/w3m/usr/lib/w3m/w3mimgdisplay debian/w3m-img/usr/lib/w3m/w3mimgdisplay
endif
	touch install-stamp

binary-indep:

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a $(bootstrap_dh_flags)
	-rm -f debian/w3m/usr/share/doc/w3m/README.cygwin
	-mv -f debian/w3m/usr/share/doc/w3m/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img
	cp -a $(builddir)/doc-jp/* debian/w3m/usr/share/doc/w3m/ja/
	-mv -f debian/w3m/usr/share/doc/w3m/ja/README.img debian/w3m-img/usr/share/doc/w3m-img/README.img.ja
	-rm -f debian/w3m/usr/share/doc/w3m/ja/w3m.1
	-rm -f debian/w3m/usr/share/doc/w3m/ja/README.cygwin
	-rm -rf debian/w3m/usr/share/doc/w3m/ja/CVS
	cp -a $(builddir)/doc-de/* debian/w3m/usr/share/doc/w3m/de/
	-rm -f debian/w3m/usr/share/doc/w3m/de/w3m.1
	dh_installexamples -a $(bootstrap_dh_flags)
	cp -a $(builddir)/Bonus/* debian/w3m/usr/share/doc/w3m/examples/Bonus/
	-mv -f debian/w3m/usr/share/doc/w3m/examples/Bonus/README debian/w3m/usr/share/doc/w3m/examples/Bonus/README.ja
	-rm -rf debian/w3m/usr/share/doc/w3m/examples/Bonus/CVS
	cd debian/w3m/usr/share/doc/w3m/examples/Bonus && find . -type f -print | \
	while read f; do \
		mv -f $$f $$f.tmp; \
		LC_ALL=C sed -e 's:/usr/local/bin/:/usr/bin/:' \
			-e 's:/bin/env:/usr/bin/env:' \
			$$f.tmp > $$f; \
		rm -f $$f.tmp; \
	done
	cd debian/w3m/usr/share/doc/w3m && \
		mv ja/keymap.* ja/examples; mv ja/menu.* ja/examples
	dh_link usr/share/doc/w3m/examples/keymap.default usr/share/doc/w3m/keymap.default \
		usr/share/doc/w3m/examples/keymap.lynx usr/share/doc/w3m/keymap.lynx \
		usr/share/doc/w3m/ja/examples/keymap.default usr/share/doc/w3m/ja/keymap.default \
		usr/share/doc/w3m/ja/examples/keymap.lynx usr/share/doc/w3m/ja/keymap.lynx
	dh_installmenu $(bootstrap_dh_flags)
	dh_installmime $(bootstrap_dh_flags)
#	dh_installman $(bootstrap_dh_flags)
	dh_installchangelogs -a $(bootstrap_dh_flags) $(builddir)/ChangeLog
	dh_strip -a $(bootstrap_dh_flags)
	dh_compress -a $(bootstrap_dh_flags) -XREADME.func
	dh_lintian -a $(bootstrap_dh_flags)
	dh_fixperms -a $(bootstrap_dh_flags) -Xw3mimgdisplay
	dh_installdeb -a $(bootstrap_dh_flags)
	dh_shlibdeps -a $(bootstrap_dh_flags)
	dh_gencontrol -a $(bootstrap_dh_flags)
#	dh_makeshlibs -a $(bootstrap_dh_flags)
	dh_md5sums -a $(bootstrap_dh_flags)
	dh_builddeb -a $(bootstrap_dh_flags)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

build: build-indep build-arch
binary: binary-indep binary-arch
.PHONY: build-indep build-arch build install clean binary-indep binary-arch binary

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.5.3+git%cd, date=%Y%m%d" \
https://salsa.debian.org/debian/w3m HEAD debian uupdate

## w3m 0.5.3%2Bgit20230121

=== debian/changelog ===
w3m (0.5.3+git20230121-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick patch from upstream to fix a security bug.
    (Closes: #1059265, CVE-2023-4255)

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 07:36:38 +0000

w3m (0.5.3+git20230121-2) unstable; urgency=medium

  * Update German message catalogue (closes: #1029933)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 29 Jan 2023 21:03:49 +0900

w3m (0.5.3+git20230121-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Update renamed lintian tag names in lintian overrides.

  [ Tatsuya Kinoshita ]
  * Update Standards-Version to 4.6.2
  * Update debian/copyright
  * Update config options
  * New upstream version 0.5.3+git20230121
    - Fix m17n backspace handling causes out-of-bounds write in checkType
      [CVE-2022-38223] (closes: #1019599)
    - Fix LESSOPEN format string problem (closes: #991608)
    - Fix browsing local file fails when argv_is_url
      (closes: #537761, #946440)
    - Skip soft hyphen when reading token (closes: #830173)
    - Only read a first title to avoid titles in svg (closes: #1020215)
    - Handle failed system calls (closes: #398989)
    - Recognize link targets in dfn elements (closes: #1018696)
    - New option -H to use high-intensity colors (closes: #626291)
    - Update German message catalogue (closes: #1011945)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Jan 2023 11:57:19 +0900

w3m (0.5.3+git20220429-1) unstable; urgency=medium

  * Update config options
  * Move bzip2 to Suggests
  * Add brotli to Suggests
  * Add compface to Suggests
  * Simplify configure options
  * Remove unneeded compile options
  * Drop old config file handling (closes: #996099)
  * Remove empty maintainer scripts
  * Replace mime-support with media-types and mailcap in Suggests
    (closes: #1009766)
  * Update debian/copyright
  * Update Build-Depends with build profile annotations (closes: #870026)
  * Drop debian/patches
  * Update Standards-Version to 4.6.0
  * New upstream version 0.5.3+git20220429
    - Mention -insecure option as a workaround for SSL error
      (closes: #900984, #934493, #953045)
    - Prevent GC warnings of repeated allocation
      (closes: #746701, #832407, #862382)
    - Fix fail to render over 32767 lines in a table cell (closes: #838952)
    - Updated German translation (closes: #1003936)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 29 Apr 2022 11:55:11 +0900

w3m (0.5.3+git20210102-6) unstable; urgency=medium

  * Update 030_str-overflow.patch to avoid zero size allocation in Str.c

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 01 Mar 2021 06:59:20 +0900

w3m (0.5.3+git20210102-5) unstable; urgency=medium

  * Update 030_str-overflow.patch to fix overflow due to Str.c
  * New patch 040_libwc-overflow.patch to fix integer overflow in libwc
  * Revert 020_ssl-ca.patch and use ssl_ca_path to keep old behavior

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 28 Feb 2021 16:57:53 +0900

w3m (0.5.3+git20210102-4) unstable; urgency=medium

  * New patch 030_str-overflow.patch to fix overflow due to Str.c

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 26 Feb 2021 20:17:10 +0900

w3m (0.5.3+git20210102-3) unstable; urgency=medium

  * New patch 020_ssl-ca.patch to work ssl_ca_file and ssl_ca_path
  * Add bzip2 to Recommends
  * Install ChangeLog.1
  * Use ssl_ca_file instead of ssl_ca_path
  * Reduce sample extbrowsers

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Feb 2021 01:00:05 +0900

w3m (0.5.3+git20210102-2) unstable; urgency=medium

  * New patch 010_section.patch to disable <section> behaves as <hr>

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 18 Jan 2021 22:42:27 +0900

w3m (0.5.3+git20210102-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.2.1-15, 0.2.1-12, 0.1.9-5,
    0.1.9-4, 0.1.9-3, 0.0.19991015-2, 0.0.19990916-1, 0.0.19990815-2,
    0.0.19990526-1.
  * Set upstream metadata fields: Archive.

  [ Tatsuya Kinoshita ]
  * Switch upstream to Debian's w3m
  * New upstream version 0.5.3+git20210102
    - Fix some source formatting in the manual (closes: #963801)
    - Fix links containing divs (closes: #847875)
    - Fix broken Gopher support (closes: #742455)
  * Update description to mention Debian's forked version
  * Drop debian/patches
  * Drop debian/gitlog2changelog
  * Drop README.Debian
  * Drop unneeded conversion for document files
  * Drop unneeded handling of entity.h
  * Add options to /etc/w3m/config
  * Update extbrowser2 to use xdg-open
  * Update extbrowser3 to use surf with JavaScript disabled
  * Update debian/copyright
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 Jan 2021 09:46:48 +0900

w3m (0.5.3-38) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Update standards version to 4.4.1, no changes needed.

  [ Tatsuya Kinoshita ]
  * Replace tab with spaces in debian/copyright
  * Use maintscript file instead of manual calls to dpkg-maintscript-helper
  * Add debian/upstream/metadata
  * Update debhelper-compat to 13
  * Update Standards-Version to 4.5.0
  * Update 020_debian.patch to v0.5.3+git20200502
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 02 May 2020 13:27:52 +0900

w3m (0.5.3-37) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: maintainer-script-without-set-e
  * eliminate lintian warning: file-contains-trailing-whitespace
  * Update debhelper compat version to 11
  * mark Rules-Requires-Root: as binary-targets

  [ Tatsuya Kinoshita ]
  * Update 020_debian.patch to v0.5.3+git20190105
    - Respect simple_preserve_space for table cells (closes: #893902)
    - Fix that the mark_all_pages option works (closes: #911929)
    - w3mman supports specifying a section number during a keyword search
      (closes: #916968)


## w3m 0.5.3+git20210102

=== debian/changelog ===
w3m (0.5.3+git20210102-6+deb11u1) bullseye; urgency=medium

  * New patch 050_checktype.patch to fix out-of-bounds write in checkType
    [CVE-2022-38223] (closes: #1019599)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 12 Jan 2023 23:28:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: w3m
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tatsuya Kinoshita <tats@debian.org>
+Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gawk | awk,

## w3m 0.5.3+git20220429

=== debian/changelog ===
w3m (0.5.3+git20220429-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in checkType
    - debian/patches/CVE-2022-38223.patch: fix m17n backspace handling
      causes out-of-bounds write in checkType in etc.c.
    - CVE-2022-38223

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jan 2023 09:02:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: w3m
 Section: web
 Priority: optional
-Maintainer: Tatsuya Kinoshita <tats@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Uploaders: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gawk | awk,
                libgc-dev,
                libgpm-dev [linux-any],
-               libimlib2-dev,
+               libimlib2-dev <!stage1>,
                libncurses5-dev,
                libssl-dev,
                pkg-config,
@@ -15,23 +16,27 @@
 Homepage: https://tracker.debian.org/pkg/w3m
 Vcs-Browser: https://salsa.debian.org/debian/w3m
 Vcs-Git: https://salsa.debian.org/debian/w3m.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 
 Package: w3m
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ca-certificates, bzip2
+Recommends: ca-certificates
 Provides: www-browser
-Suggests: cmigemo,
+Suggests: brotli,
+          bzip2,
+          cmigemo,
+          compface,
           dict,
           dict-wn,
           dictd,
           firefox | www-browser,
           libsixel-bin,
+          mailcap,
           man-db,
-          mime-support,
+          media-types,
           sensible-utils,
           w3m-el,
           w3m-img,

## w3m 0.5.3+git20230121

=== debian/changelog ===
w3m (0.5.3+git20230121-2.1ubuntu1) questing; urgency=medium

  * d/rules: fix gcc-15 FTBFS due to std23 default (LP: #2125182)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 19 Sep 2025 11:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: https://tracker.debian.org/pkg/w3m
 Vcs-Browser: https://salsa.debian.org/debian/w3m
 Vcs-Git: https://salsa.debian.org/debian/w3m.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 
 Package: w3m

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
 CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS) $(shell getconf LFS_CFLAGS)
 CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
@@ -21,14 +22,11 @@
 
 confargs := --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	--mandir=/usr/share/man \
-	--with-gc --with-ssl \
 	--with-imagelib=imlib2 \
 	--with-migemo="cmigemo -q -d /usr/share/cmigemo/utf-8/migemo-dict" \
 	--with-editor=/usr/bin/sensible-editor \
 	--with-browser=/usr/bin/sensible-browser \
-	--enable-gopher \
-	--enable-image=$(DEVS) \
-	--enable-m17n --enable-unicode --enable-nls
+	--enable-image=$(DEVS)
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 confargs += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
@@ -44,7 +42,7 @@
 	dh_testdir
 	cd $(builddir) && dh_update_autotools_config
 	cd $(builddir) && LC_ALL=C CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(confargs)
-	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-Wall -g -DDEBIAN"
+	cd $(builddir) && LC_ALL=C $(MAKE) OPTS="-g"
 	cd $(builddir)/po && LC_ALL=C $(MAKE) update-gmo
 	touch build-stamp
